<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="dll"
	ProjectGUID="{E04E3988-F8FB-486D-A292-7663F7CA321B}"
	RootNamespace="dll"
	Keyword="Win32Proj">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="../../build"
			IntermediateDirectory="../../tmp/dll/$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="1">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="../../src"
				PreprocessorDefinitions="_DEBUG;TR_LEAKS;_WINDOWS;_USRDLL;CLUCENEDLL_EXPORTS;HIGHLIGHTING"
				MinimalRebuild="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="5"
				WarningLevel="3"
				Detect64BitPortabilityProblems="TRUE"
				DebugInformationFormat="4"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="CLuceneUDLib.lib highlighterUDlib.lib"
				OutputFile="$(OutDir)/cluceneUD.dll"
				LinkIncremental="2"
				AdditionalLibraryDirectories="../../build/lib"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile="$(OutDir)/dll.pdb"
				ImportLibrary="../../build/lib/cluceneUDDll.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="../../build"
			IntermediateDirectory="../../tmp/dll/$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="1">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				OmitFramePointers="TRUE"
				AdditionalIncludeDirectories="../../src"
				PreprocessorDefinitions="_USRDLL;CLUCENEDLL_EXPORTS;HIGHLIGHTING"
				StringPooling="TRUE"
				RuntimeLibrary="4"
				EnableFunctionLevelLinking="TRUE"
				WarningLevel="3"
				Detect64BitPortabilityProblems="TRUE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="CLuceneULib.lib highlighterUlib.lib"
				OutputFile="$(OutDir)/cluceneU.dll"
				LinkIncremental="1"
				AdditionalLibraryDirectories="../../build/lib"
				GenerateDebugInformation="TRUE"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="../../build/lib/cluceneUDll.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Debug_Dll|Win32"
			OutputDirectory="$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="1">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="../../src"
				PreprocessorDefinitions="_DEBUG;TR_LEAKS;_WINDOWS;_USRDLL;CLUCENEDLL_EXPORTS;HIGHLIGHTING"
				MinimalRebuild="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="5"
				WarningLevel="3"
				Detect64BitPortabilityProblems="TRUE"
				DebugInformationFormat="4"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="CLuceneUDLib.lib highlighterUDlib.lib"
				OutputFile="$(OutDir)/cluceneUD.dll"
				LinkIncremental="2"
				AdditionalLibraryDirectories="../../build/lib"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile="$(OutDir)/dll.pdb"
				ImportLibrary="../../build/lib/cluceneUDDll.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<File
			RelativePath="clucene_dll.cpp">
		</File>
		<File
			RelativePath="clucene_dll.h">
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
